vue-cli 5 搭建 vue 项目

vue-cli 的最新版本是5.0.4

首先需要全局安装 vue-cli
yarn global add @vue/cli
已经安装的可以升级到最新版
yarn global upgrade --latest @vue/cli

然后开始使用 vue-cli 5 搭建项目 ‘hello-world’
vue create demo

会出现下面的配置项:

1. 选择自动配置还是手工配置
选择手工配置


2. 选择插件
选择babel,路由,css预编译,代码格式化(空格键选中)

 

 


3. 选择vue 版本
选择 vue2 


4. 选择是否使用 history 风格的路由
选择使用


5. 选择 css 预编译
选择使用 less

 

 


6. 选择语法检测和代码格式化插件
选择 ESlint + Prettier,这个是比较常用
另外两个是 ESLint+爱彼迎格式化 以及 ESLint+通用格式化
第一个选项是只使用 ESLint 语法检测


7. 选择语法和格式检测的时间
选择在保存的时候就进行检测

 

 


8. 选择各插件配置的保存方式
选择将各个配置单独为文件


9. 是否将这个配置保存下来
选择不需要

 

 

到这里全部的配置完成
然后就会执行依赖的下载,最后完成的页面如下:


这样就生成了一个 demo 的文件夹,进入这个文件夹,命令行执行 yarn serve,

 

 

这样,vue-cli 5 就搭建项目完成

 

 

  • 4
    点赞
  • 8
    收藏
    觉得还不错? 一键收藏
  • 2
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论 2
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值